{% block formulaire %}
    {#Champs concernant les activités de base standard#}
    {% if poForm.lconcinterv is defined %}
        <div id="concerneForm" class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="height: 90%;">
            <div class="row">
                <div class="col-sm-12 col-md-12 col-lg-12 col-xl-7" style="margin-left: 25px;">
            <fieldset style="border: 1px groove #ddd !important; padding: 0 1.4em 1.4em !important; margin-left: 30px;">
                <legend style="width: inherit; padding:0 10px; margin:0; border-bottom:none;">Concerne</legend>

                <div id="legendBis" style=" position: absolute; padding: 0 0.2em 0.2em !important; top: 0.45em;  left: 200px;   background: #fff;   line-height:1.2em;">
                    {% if poForm.linactive is defined %}
    {#LP 11/09/2020 debut Ajout custom checkbox#}
                         <div class="custom-control custom-checkbox">
                        {{ form_widget(poForm.linactive, {'attr': {'class': 'custom-control-input EFControl'}}) }}
                        {{ form_label(poForm.linactive, "Inactive", {'label_attr': {'class': 'custom-control-label m-1 control-label'}}) }}
                         </div>
                    {% endif %}
                </div>
{#LP 09/09/2020 debut réorgannisaion du fieldset#}
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group d-flex flex-row align-content-center custom-control custom-checkbox">
{#                            <div class="custom-control custom-checkbox">#}
                            {{ form_widget(poForm.lconcinterv, {'attr': {'class': 'custom-control-input mr-1 form-control'}}) }}
                            {{ form_label(poForm.lconcinterv, "Intervenants", {'label_attr': {'class': 'custom-control-label col-md-4 control-label'}}) }}
{#                            </div>#}
{#                            </label>#}
{#                            </div>#}
                            {#<div class="col-sm-4">
                            {{ form_label(poForm.lconcinterv, "Intervenants", {'label_attr': {'class': 'col-md-4 m-1 control-label'}}) }}
                            </div>#}
{#                            <div class="col-sm-4">#}
{#                                {{ form_widget(poForm.lconcinterv, {'attr': {'class': 'form-control'}}) }}#}
{#                            </div>#}
                        </div>
                    </div>
                    
                    <div class="col-md-6">
                        <div class="form-group d-flex">
                            <div class="custom-control custom-checkbox">
                            {{ form_widget(poForm.lconcgroup, {'attr': {'class': 'custom-control-input mr-1 form-control'}}) }}
                            {{ form_label(poForm.lconcgroup, "Groupe", {'label_attr': {'class': 'custom-control-label col-md-4 control-label'}}) }}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div id="tousLesIntervenants" class="form-group d-flex" style="visibility: hidden; margin-left: 20px;">
                        <div class="custom-control custom-checkbox">
                            {{ form_widget(poForm.ltousintervenants, {'attr': {'class': 'custom-control-input mr-1 form-control'}}) }}
                            {{ form_label(poForm.ltousintervenants, "Tous les intervenants", {'label_attr': {'class': 'custom-control-label col-sm-7 control-label'}}) }}
                            {#<div class="col-sm-5">
                                {{ form_widget(poForm.ltousintervenants, {'attr': {'class': 'form-control'}}) }}
                            </div>#}
                        </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="custom-control custom-checkbox">
                        <div id="tousLesGroupes" class="form-group d-flex" style="visibility: hidden; margin-left: 20px;">
                            {{ form_widget(poForm.ltousgroupes, {'attr': {'class': 'custom-control-input mr-1 form-control'}}) }}
                            {{ form_label(poForm.ltousgroupes, "Tous les groupes", {'label_attr': {'class': 'custom-control-label col-sm-7 control-label'}}) }}
                            {#<div class="col-sm-5">
                                {{ form_widget(poForm.ltousgroupes, {'attr': {'class': 'form-control'}}) }}
                            </div>#}
                        </div>
                        </div>
                    </div>
                </div>
                <div class="row">

                    <div class="col-md-6">
                        <div class="custom-control custom-checkbox">
                        <div class = "form-group d-flex">
                        {{ form_widget(poForm.lconcusag, {'attr': {'class': 'custom-control-input mr-1 form-control'}}) }}
                        {{ form_label(poForm.lconcusag, "Usagers", {'label_attr': {'class': 'custom-control-label col-sm-7 control-label'}}) }}
                        {#<div class="col-sm-2">
                            {{ form_widget(poForm.lconcusag, {'attr': {'class': 'form-control'}}) }}
                        </div>#}
                        </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="custom-control custom-checkbox">
                        <div class="form-group d-flex">
                            {{ form_widget(poForm.lconcsalle, {'attr': {'class': 'custom-control-input mr-1 form-control'}}) }}
                            {{ form_label(poForm.lconcsalle, "Equipements", {'label_attr': {'class': 'custom-control-label col-sm-7 control-label'}}) }}
                        </div>
                        </div>
                        
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div id="maxUsagers" class="d-flex" style="visibility: hidden; margin-left: 20px;">
                                {{ form_label(poForm.inbusmax, "Max", {'label_attr': {'class': 'col-sm-2 m-1 control-label'}}) }}
                            <div class="col-sm-3 align-content-start">
                                {{ form_widget(poForm.inbusmax, {'attr': {'class': 'mr-2 form-control'}}) }}
                            </div>
                        </div>
                        {#<div class="form-group d-flex">
                            {{ form_widget(poForm.lconcsalle, {'attr': {'class': 'form-control'}}) }}
                            {{ form_label(poForm.lconcsalle, "Equipements", {'label_attr': {'class': 'col-sm-6 control-label'}}) }}
                            {#<div class="col-sm-6">
                                {{ form_widget(poForm.lconcsalle, {'attr': {'class': 'form-control'}}) }}
                            </div>
                        </div>#}
                    </div>  
                        <div class="col-md-6">
                            <div class="custom-control custom-checkbox">
                            <div id="tousLesEquipements" class="d-flex" style="visibility: hidden; margin-left: 20px;">
                                {{ form_widget(poForm.ltoutessalles, {'attr': {'class': 'custom-control-input mr-1 form-control'}}) }}
                                {{ form_label(poForm.ltoutessalles, "Tous les équipements", {'label_attr': {'class': 'custom-control-label col-sm-6 control-label'}}) }}
                                {#<div class="col-sm-5">
                                    {{ form_widget(poForm.ltoutessalles, {'attr': {'class': 'form-control'}}) }}
                                </div>#}
                            </div>
                            </div>
                        </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="custom-control custom-checkbox">
                        <div id="tousLesUsagers" class="form-group d-flex" style="visibility: hidden; margin-left: 20px;">
                            {{ form_widget(poForm.ltoususagers, {'attr': {'class': 'custom-control-input mr-1 form-control'}}) }}
                            {{ form_label(poForm.ltoususagers, "Tous les usagers", {'label_attr': {'class': 'custom-control-label col-sm-6 control-label'}}) }}
                            {#<div class="col-sm-5">
                                {{ form_widget(poForm.ltoususagers, {'attr': {'class': 'form-control'}}) }}
                            </div>#}
                        </div>
                        </div>
                    </div>
                </div>
                        
                    {#<div class="col-md-5">
                        <div id="tousLesEquipements" class="form-group d-flex" style="visibility: hidden">
                            {{ form_widget(poForm.ltoutessalles, {'attr': {'class': 'form-control'}}) }}
                            {{ form_label(poForm.ltoutessalles, "Tous les équipements", {'label_attr': {'class': 'col-sm-7 control-label'}}) }}
                            {#<div class="col-sm-5">
                                {{ form_widget(poForm.ltoutessalles, {'attr': {'class': 'form-control'}}) }}
                            </div>
                        </div>
                    </div>#}
                    <div class="row">
                    <div class="col-md-12">
                        <div class="custom-control custom-checkbox">
                        <div class="form-group d-flex">
                            {% if poForm.lautoriseseancessimultanees is defined %}
                            {{ form_widget(poForm.lautoriseseancessimultanees, {'attr': {'class': 'custom-control-input mr-1 form-control'}}) }}
                            {{ form_label(poForm.lautoriseseancessimultanees, "Autoriser des séances simultanées pour intervenants et équipements", {'label_attr': {'class': 'custom-control-label control-label'}}) }}
                            {#<div class="col-sm-2">
                                {{ form_widget(poForm.lautoriseseancessimultanees, {'attr': {'class': 'form-control'}}) }}
                            </div>#}
                        </div>
                        </div>
                    </div>
                    </div>
                    {% endif %}
                {#<div class="row">
                    {% if poForm.lautoriseseancessimultanees is defined %}
                        <div class="form-group d-flex">
                            {{ form_widget(poForm.lautoriseseancessimultanees, {'attr': {'class': 'form-control'}}) }}
                            {{ form_label(poForm.lautoriseseancessimultanees, "Autoriser des séances simultanées pour intervenants et équipements", {'label_attr': {'class': 'col-sm-7 control-label'}}) }}
                            <div class="col-sm-2">
                                {{ form_widget(poForm.lautoriseseancessimultanees, {'attr': {'class': 'form-control'}}) }}
                            </div>
                        </div>
                    {% endif %}
                </div>#}
{#LP 09/09/2020 fin#}
            </fieldset>
                </div>
            <div class="col-sm-12 col-md-12 col-lg-6 col-xl-4" style="margin-top: 37px;">
            <div class="row">
                <div class="col-sm-auto">
                    {% if poForm.npriorite is defined %}
                        <div class="form-group d-flex" style="margin-bottom: 10px;">
                            {{ form_label(poForm.npriorite, "Priorité", {'label_attr': {'class': 'col-sm-auto m-1 control-label'}}) }}
                            {{ form_widget(poForm.npriorite, {'attr': {'class': 'form-control'}}) }}
                            {#<div class="col-sm-8">
                                {{ form_widget(poForm.npriorite, {'attr': {'class': 'form-control'}}) }}
                            </div>#}
                        </div>
                    {% endif %}
                </div>
            </div>
            <div class="row">
                <div class="col-sm-auto">
                    {% if poForm.ldansbilan is defined %}
                        <div class="form-group d-flex" style="margin-left: 15px;">
                            <div class="custom-control custom-checkbox">
                            {{ form_widget(poForm.ldansbilan, {'attr': {'class': 'custom-control-input form-control'}}) }}
                            {{ form_label(poForm.ldansbilan, "Inclus dans les bilans", {'label_attr': {'class': 'custom-control-label col-sm-auto control-label'}}) }}
                            {#<div class="col-sm-5">
                                {{ form_widget(poForm.ldansbilan, {'attr': {'class': 'form-control'}}) }}
                            </div>#}
                            </div>
                        </div>
                    {% endif %}
                </div>
            </div>
            <div class="row">
                <div class="col-sm-auto">
                    {% if poForm.ietablissement is defined %}
                        <div class="form-group d-flex" style="margin-bottom: 10px;">
                            {{ form_label(poForm.ietablissement, "Etablissement", {'label_attr': {'class': 'col-sm-auto m-1 control-label'}}) }}
                            {{ form_widget(poForm.ietablissement, {'attr': {'class': 'form-control col-sm-8'}}) }}
                            {#<div class="col-sm-8">
                                {{ form_widget(poForm.ietablissement, {'attr': {'class': 'form-control'}}) }}
                            </div>#}
                        </div>    
                    {% endif %}
                </div>
            </div>
            <div class="row">
                <div class="col-sm-auto">
                    {% if poForm.lexclplanning is defined %}
                        <div class="form-group d-flex" style="margin-left: 15px;">
                            <div class="custom-control custom-checkbox">
                            {{ form_widget(poForm.lexclplanning, {'attr': {'class': 'custom-control-input form-control'}}) }}
                            {{ form_label(poForm.lexclplanning, "Exclus du planning officiel", {'label_attr': {'class': 'custom-control-label col-sm-auto control-label'}}) }}
    {#LP 11/09/2020 fin Ajout custom checkbox#}
                            {#<div class="col-sm-5">
                                {{ form_widget(poForm.lexclplanning, {'attr': {'class': 'form-control'}}) }}
                            </div>#}
                            </div>
                        </div>
                    {% endif %}
                </div>
            </div>
            </div>
            </div>
                
        </div>
                {#<div class="myTest custom-control custom-checkbox">
      <input type="checkbox" class="custom-control-input" id="customCheck1">
      <label class="custom-control-label" for="customCheck1">Check this custom checkbox</label>
    </div>#}
{#LG 20200911 déac : passé ce twig est à présent inclus dans un des onglets
            <div id="Grille" style="height: 55%;">
                {% include '@Paa/form/actiBases/actiBasesCompétences.html.twig' %}
            </div>
#}
    {% endif %}

    <script>
        $('#bSupprimer_actiBaseSousGroupeGroupe').attr("disabled", false);
        var ongletIntervenant, ongletUsagers, ongletGroupes, ongletSalles;
        $(document).ready(onActiBasesNonAbsence_DocumentReady);

		function onActiBasesNonAbsence_DocumentReady() {
            var OngletAvecDatatable = false;
            $("div[name='fEntityForm_actibases']").css('height', '100%');
            $('#formulaire_detail_actibases').css('height', '100%');
            $("div[class='LesChamps']").css('height', '100%');
{#            LP : ligne a modifier pour la taille de la grille de liste des compétences #}
            $("div[class='dataTables_scrollBody']").css('height', '300px').css('overflow', 'auto');
            $("div[class='dataTables_scroll']").css('height', '100%');
            $("div[class='dataTables_wrapper no-footer']").each(function () {
                $(this).css('height', '100%');
            });
            $('#fEntityForm_actibases').css('height', '100%');

			if (document.getElementById("OngletIntervenants")) {
                ongletIntervenant = document.getElementById("OngletIntervenants").parentNode;
                ongletUsagers = document.getElementById("OngletUsagers").parentNode;
                ongletGroupes = document.getElementById("OngletGroupes").parentNode;
                ongletSalles = document.getElementById("OngletSalles").parentNode;
                OngletAvecDatatable = true;
            }
            if ($('#fEntityForm_actibases_lconcinterv').is(':checked')) {
                $('#tousLesIntervenants').css('visibility', 'visible');
                if (OngletAvecDatatable === true  && ongletIntervenant.classList.contains('disabled'))
                    ongletIntervenant.classList.remove('disabled');
            } else {
                $('#tousLesIntervenants').css('visibility', 'hidden');
                if (ongletIntervenant)
                    ongletIntervenant.classList.add('disabled');
                $('#OngletIntervenants').css('pointer-events', 'none');
            }
            if ($("#fEntityForm_actibases_lconcgroup").is(':checked')) {
                $('#tousLesGroupes').css('visibility', 'visible');

                if (OngletAvecDatatable === true && ongletGroupes.classList.contains('disabled'))
                    ongletGroupes.classList.remove('disabled');
            } else {
                $('#tousLesGroupes').css('visibility', 'hidden');
                if (ongletGroupes)
                    ongletGroupes.classList.add('disabled');
                $('#OngletGroupes').css('pointer-events', 'none');
            }
            if ($("#fEntityForm_actibases_lconcsalle").is(':checked')) {
                $('#tousLesEquipements').css('visibility', 'visible');

                if (OngletAvecDatatable === true && ongletSalles.classList.contains('disabled'))
                    ongletSalles.classList.remove('disabled');
            } else {
                $('#tousLesEquipements').css('visibility', 'hidden');
                if (ongletSalles)
                    ongletSalles.classList.add('disabled');
                $('#OngletSalles').css('pointer-events', 'none');
            }
            if ($("#fEntityForm_actibases_lconcusag").is(':checked')) {
                $('#tousLesUsagers').css('visibility', 'visible');
                $('#maxUsagers').css('visibility', 'visible');

                if (OngletAvecDatatable === true && ongletUsagers.classList.contains('disabled'))
                    ongletUsagers.classList.remove('disabled');
            } else {
                $('#tousLesUsagers').css('visibility', 'hidden');
                $('#maxUsagers').css('visibility', 'hidden');
                if (ongletUsagers)
                    ongletUsagers.classList.add('disabled');
                $('#OngletUsagers').css('pointer-events', 'none');
            }
        }

        $("#fEntityForm_actibases_lconcinterv").click(function () {
            if ($(this).is(':checked')) {
            $('#tousLesIntervenants').css('visibility', 'visible');
                if (ongletIntervenant.classList.contains('disabled'))
                    ongletIntervenant.classList.remove('disabled');
                $('#OngletIntervenants').css('pointer-events', '');
            } else {
                $('#tousLesIntervenants').css('visibility', 'hidden');
                ongletIntervenant.classList.add('disabled');
                $('#OngletIntervenants').css('pointer-events', 'none');
            }
        });
        $("#fEntityForm_actibases_lconcgroup").click(function () {
            if ($(this).is(':checked')) {
                $('#tousLesGroupes').css('visibility', 'visible');
                if (ongletGroupes.classList.contains('disabled'))
                    ongletGroupes.classList.remove('disabled');
                $('#OngletGroupes').css('pointer-events', '');
            } else {
                $('#tousLesGroupes').css('visibility', 'hidden');
                ongletGroupes.classList.add('disabled');
                $('#OngletGroupes').css('pointer-events', 'none');
            }
        });
        $("#fEntityForm_actibases_lconcsalle").click(function () {
            if ($(this).is(':checked')) {
                $('#tousLesEquipements').css('visibility', 'visible');
                if (ongletSalles.classList.contains('disabled'))
                    ongletSalles.classList.remove('disabled');
                $('#OngletSalles').css('pointer-events', '');
            } else {
                $('#tousLesEquipements').css('visibility', 'hidden');
                ongletSalles.classList.add('disabled');
                $('#OngletSalles').css('pointer-events', 'none');
            }
        });
        $("#fEntityForm_actibases_lconcusag").click(function () {
            if ($(this).is(':checked')) {
                $('#tousLesUsagers').css('visibility', 'visible');
                $('#maxUsagers').css('visibility', 'visible');
                if (ongletUsagers.classList.contains('disabled'))
                    ongletUsagers.classList.remove('disabled');
                $('#OngletUsagers').css('pointer-events', '');
            } else {
                $('#tousLesUsagers').css('visibility', 'hidden');
                $('#maxUsagers').css('visibility', 'hidden');
                ongletUsagers.classList.add('disabled');
                $('#OngletUsagers').css('pointer-events', 'none');
            }
        });

    </script>
{% endblock %}
